QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Types | Public Member Functions | List of all members
QXmppVCardPhone Class Reference

Represents a vCard phone number. More...

`#include <QXmppVCardIq.h>`

## Public Types

enum | TypeFlag { None = 0x0, Home = 0x1, Work = 0x2, Voice = 0x4, Fax = 0x8, Pager = 0x10, Messaging = 0x20, Cell = 0x40, Video = 0x80, BBS = 0x100, Modem = 0x200, ISDN = 0x400, PCS = 0x800, Preferred = 0x1000 }
| Describes phone number types.

## Public Member Functions

| QXmppVCardPhone ()
| Constructs an empty phone number.
| QXmppVCardPhone (const QXmppVCardPhone &other)
| Constructs a copy of other.
QXmppVCardPhone & | operator= (const QXmppVCardPhone &other)
| Assigns other to this phone number.
QString | number () const
| Returns the phone number.
void | setNumber (const QString &number)
| Sets the phone number.
Type | type () const
| Returns the phone number type, which is a combination of TypeFlag.
void | setType (Type type)
| Sets the phone number type, which is a combination of TypeFlag.

## Detailed Description

Represents a vCard phone number.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp